BeforeSetWndPlace=function(newPlace){
	
	var point = CreateDataObject();
	point.SetPoint(0,0);
	var pvar=skin.wnd_main.check_eq.ToScreenPoint(point);
	var place=skin.wnd_main.check_eq.GetPlace();
	newPlace.x=Number(pvar.x)+Number(place.width)/2;
	
	var rect = CreateDataObject();
	var size = CreateDataObject();
	
	if(skin.wnd_main.check_lib.IsCheck() == false){
		rect.SetRect(0,0,0,0);
		size.SetSize(0,0);
		box_layout.Reset(rect, size, "ltrb", 100);	
		
		newPlace.y=Number(pvar.y)+Number(place.height);
		if(newPlace.x>44){
			newPlace.x=newPlace.x-44;
		}
		else{
			newPlace.x=0;
		}
		if(newPlace.y>0){
			newPlace.y=newPlace.y-3;
		}

		this.SetShowWndAnimationInfo("drawer,true,8,0,b,true");
		this.SetHideWndAnimationInfo("drawer,false,8,0,b,true");
	}
	else{
		rect.SetRect(0,-7,0,0);
		size.SetSize(0,0);
		box_layout.Reset(rect, size, "ltrb", 100);
		
		newPlace.y=Number(pvar.y)+20;
		if(newPlace.x>302){
			newPlace.x=newPlace.x-302;
		}
		else{
		    newPlace.x=newPlace.x-32;
		}
		if(newPlace.y>192){
			newPlace.y=newPlace.y-192;
		}

		this.SetShowWndAnimationInfo("drawer,true,8,0,t,true");
		this.SetHideWndAnimationInfo("drawer,false,8,0,t,true");
	}

	return true;
}

function Number(str){
	return str*1;
}

OnShow=function(bShow){

}